var webpack = require('webpack');
var path = require('path');

var plugins = []

module.exports = {
  devtool: 'source-map',
  cache: true,
  entry: "./domical.js",
  output: {
    publicPath: "/",
    library: "domical",
    libraryTarget: 'commonjs-module',
    filename: "bundle.js",
    sourceMapFilename: "[file].map"
  },
  module: {
    rules: [
      {
        test: /\.js$/,
        use: ["source-map-loader"]
      }
    ]
  },
}
